document.addEventListener("click", function(e) {
	if (!e.target.getAttribute("data-url")) {

	}
	else {
		var chosenPage = e.target.getAttribute("data-url");
		browser.tabs.create({
			url: chosenPage
		});
		window.close();
	}
});

document.addEventListener("keyup", function(event) {
    event.preventDefault();
    if (event.keyCode === 13) {
		var valor = ToolbarUM_TrimString(document.getElementById("directorio").value);
		var ruta = "http://www.um.es/atica/directorio/";
		if(valor.length > 0) {
			valor = ToolbarUM_ConvertTermsToURI(valor);
			ruta = ruta+"?nivel=&lang=0&vista=unidades&search=" + (valor);
		}
		browser.tabs.create({
			url: ruta
		});
		window.close();
	}
});

function ToolbarUM_TrimString(string) {
    // If the incoming string is invalid, or nothing was passed in, return empty
    if (!string)
        return "";

    string = string.replace(/^\s+/, ''); // Remove leading whitespace
    string = string.replace(/\s+$/, ''); // Remove trailing whitespace

    // Replace all whitespace runs with a single space
    string = string.replace(/\s+/g, ' ');

    return string; // Return the altered value
}

function ToolbarUM_ConvertTermsToURI(terms) {
    var termArray = new Array();
    termArray = terms.split(" ");
	var result = "";

    for(var i=0; i<termArray.length; i++) {
        if(i > 0)
            result += "+";
        result += limpia(termArray[i]);
    }

    return result; // Return the result
}

function limpia(cadena) {
	var specialChars = "!#$^&%*()+=[]\/{}|:<>?,";

   // Los eliminamos todos
   for (var i = 0; i < specialChars.length; i++) {
       cadena= cadena.replace(new RegExp("\\" + specialChars[i], 'gi'), '');
   }   

   // Lo queremos devolver limpio en minusculas
   cadena = cadena.toLowerCase();

   // Quitamos acentos y "ñ". Fijate en que va sin comillas el primer parametro
   cadena = cadena.replace(/á/gi,"a");
   cadena = cadena.replace(/é/gi,"e");
   cadena = cadena.replace(/í/gi,"i");
   cadena = cadena.replace(/ó/gi,"o");
   cadena = cadena.replace(/ú/gi,"u");
   cadena = cadena.replace(/ñ/gi,"n");
   return cadena;
}